<div class="w-panel">
    <div class="header-panel">
        <div class="container">
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                <a class="navbar-brand" [routerLink]="['books']">Книги</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
                </button>
              
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                  <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                      <a class="nav-link" [routerLink]="['books']">Главная <span class="sr-only">(current)</span></a>
                    </li>
                  </ul>
                  <div class="form-inline my-2 my-lg-0">
                    <input class="form-control mr-sm-2" type="search" [(ngModel)]="searchTxt" placeholder="Наименование" aria-label="Search">
                    <button class="btn btn-outline-success my-2 my-sm-0" (click)="searchBook();">Поиск</button>
                  </div>
                </div>
              </nav>
        </div>
    </div>
    <div class="main-panel">
        <div class="container">
            <router-outlet></router-outlet>
        </div>
    </div>
</div>



<button class="caret-btn btn btn-warning" [routerLink]="['caret']">
  <i class="fa fa-cart-arrow-down"></i>
  <div class="budget">
    {{totalCount}}
  </div>
</button>